/*jshint node:true */
"use strict";

var fs      = require("fs"),
    trumpet = require("trumpet"),
    tr      = trumpet();

tr.selectAll("script[src]", function(script) {
    var out = script.createWriteStream();
    
    script.getAttribute("src", function(src){
        
        // Skip non-existant files
        if(!fs.existsSync(src)) {
            return out.end();
        }

        fs.createReadStream(src, { encoding : "utf8" })
            .pipe(out);
    });
});

tr.pipe(process.stdout);

fs.createReadStream("./test.htm").pipe(tr);
